# Create Counterparty

This endpoint is used to create a new counterparty for a customer. You can create different types of counterparties,
including ach, on-us, wire, and international_wire, by providing the relevant details in the request body.

Note: The account_number field for creating an on-us counterparty represents the Jiko network address of the pocket.

Note: The optional display_name field lets you assign a custom, human-friendly name to a counterparty — useful for
distinguishing multiple counterparties that belong to the same legal entity. When set, it is returned on the counterparty
and can be shown in place of the counterparty's default name.

The request body must conform to one of the request schemas. On success, it returns the newly created counterparty object.

Endpoint: POST /api/v2/counterparties/
Version: Version: 0b8bd2e8
Security: CodeBearer

## Request fields (application/json):

  - `body` (CreateWireCounterpartyRequest (object) or CreateACHCounterpartyRequest (object) or CreateOnUsCounterpartyRequest (object) or CreateInternationalWireCounterpartyRequest (object) or CreateCryptoWalletAddressCounterpartyRequest (object), required) — one of:
    - CreateWireCounterpartyRequest:
      - `routing_number` (string, required)
      - `identifier` (string, required)
        Bank Account Number or IBAN Number
      - `address` (object, required)
      - `address.street_address` (string, required)
        Street address
      - `address.street_address2` (any)
        Apartment, Suite, Box number, etc.
      - `address.city` (string, required)
        City / Town
      - `address.postal_code` (string, required)
        Postal code / ZIP code
      - `address.state` (string, required)
        State (Postal Abbreviations. Example: "AL", "NJ", "OH")
      - `address.country` (string, required)
        A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")
      - `wire_instructions` (any)
        Any additional wire instructions required for the wire to be processed correctly.
      - `counterparty_name` (any, required) — one of (discriminator: type):
        - business:
          - `business_name` (string, required)
            The name of the business counterparty.
          - `type` (string, required)
        - individual:
          - `first_name` (string, required)
          - `last_name` (string, required)
          - `type` (string, required)
      - `verification` (any, required) — one of (discriminator: type):
        - incoming_wire:
          - `type` (string, required)
          - `wire_id` (string, required)
        - pre_verified:
          - `type` (string, required)
          - `verification_method` (string, required)
            Underlying verification method
            Enum: "PLAID", "MICRO_DEPOSIT"
        - supporting_documents:
          - `type` (string, required)
          - `document_ids` (array, required)
        - unverified:
          - `type` (string, required)
      - `type` (string, required)
      - `ownership_type` (any)
        Relationship of the counterparty to the account holder. FIRST_PARTY means the counterparty is owned by the account holder, THIRD_PARTY means it is owned by a different entity.
      - `display_name` (any)
        An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.
      - `identifier_code` (any)
        [DEPRECATED] This field is ignored. The identifier code is always set to WireCounterpartyIdentifierCode_DDA_D (Demand Deposit Account).
    - CreateACHCounterpartyRequest:
      - `routing_number` (string, required)
      - `account_number` (string, required)
      - `account_type` (string, required)
        Account type
        Enum: "CHECKING", "SAVINGS"
      - `counterparty_name` (string, required)
      - `verification` (any, required)
        - `type` (string, required)
        - `verification_method` (string, required)
          Underlying verification method
          Enum: same as `verification_method` in "pre_verified" (2 values)
      - `type` (string, required)
      - `display_name` (any)
        An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.
    - CreateOnUsCounterpartyRequest:
      - `account_number` (string, required)
        Represents the Jiko network address of the pocket.
      - `verification` (any, required)
        - `type` (string, required)
        - `legal_name` (string, required)
      - `type` (string, required)
      - `display_name` (any)
        An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.
    - CreateInternationalWireCounterpartyRequest:
      - `wire_instructions` (any)
        Any additional wire instructions required for the wire to be processed correctly.
      - `counterparty_name` (any, required) — one of (discriminator: type):
        - business:
          - `business_name` (string, required)
            The name of the business counterparty.
          - `type` (string, required)
        - individual:
          - `first_name` (string, required)
          - `last_name` (string, required)
          - `type` (string, required)
      - `address` (object, required)
      - `address.street_address` (string, required)
        Street address
      - `address.street_address2` (any)
        Apartment, Suite, Box number, etc.
      - `address.city` (string, required)
        City / Town
      - `address.postal_code` (string, required)
        Postal code / ZIP code
      - `address.state` (string, required)
        State (Postal Abbreviations. Example: "AL", "NJ", "OH")
      - `address.country` (string, required)
        A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")
      - `identifier` (string, required)
        Bank Account Number or IBAN Number
      - `identifier_type` (string)
        Enum: "iban", "local"
      - `swift_bic` (string, required)
      - `verification` (any, required) — one of (discriminator: type):
        - supporting_documents:
          - `type` (string, required)
          - `document_ids` (array, required)
        - unverified:
          - `type` (string, required)
      - `type` (string, required)
      - `ownership_type` (any)
        Relationship of the counterparty to the account holder. FIRST_PARTY means the counterparty is owned by the account holder, THIRD_PARTY means it is owned by a different entity.
      - `display_name` (any)
        An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.
    - CreateCryptoWalletAddressCounterpartyRequest:
      - `id` (string, required)
      - `chain` (string, required)
        ETH is supported at this time.
      - `wallet_address` (string, required)
      - `counterparty_name` (string, required)
      - `type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


